Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.commands
Class DeleteBAMTaskSummariesCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Void>
          org.jbpm.services.task.audit.commands.DeleteBAMTaskSummariesCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class DeleteBAMTaskSummariesCommand

extends TaskCommand<Void>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`DeleteBAMTaskSummariesCommand()`
`DeleteBAMTaskSummariesCommand(long taskId)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context context)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteBAMTaskSummariesCommand

    public DeleteBAMTaskSummariesCommand()

### DeleteBAMTaskSummariesCommand

    public DeleteBAMTaskSummariesCommand(long taskId)

Method Detail

### execute

    public Void execute(org.kie.internal.command.Context context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.